> For the complete documentation index, see [llms.txt](https://docs.bluefletch.com/bluefletch-enterprise/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluefletch.com/bluefletch-enterprise/product-guides/support-application/features/external-configuration-support.md).

# External Configuration Support

## Overview <a href="#overview" id="overview"></a>

Support Application typically gets its configuration from the BlueFletch Launcher or from configuration files loaded onto the device via an MDM. In version 5.13.8, the Support Application now provides two additional methods for loading configurations: Play Store Managed Configurations and Intent Actions. With External Configuration Support, Support Application can store configurations within application data storage.

## User Guide

To use Play Store Managed Configurations, you need to add the following fields to the application's Play Store listing:

* configUrl: A URL referencing the desired configuration.
* configChecksum: A configuration file checksum. This field is optional.

To use Intent Actions, you need to create an Intent Action with the action name com.bluefletch.support.config.ACTION\_LOAD\_CONFIG. The Intent Action should have the following extras:

* url: A URL referencing the desired configuration. This is required.
* org\_id: The organization ID as found in the BlueFletch Portal. This is required.

## Feature Configuration <a href="#managed-configuration" id="managed-configuration"></a>

To set up External Configuration Support for a particular device profile or device group, please follow the steps below:

### Configuring with ADB Command

To enable Support Application to download the configuration file from the specified URL, you need to specify the intent action, the package name, and extra strings that will be passed to the intent. In the example below, com.bluefletch.ems.support.ACTION\_DOWNLOAD\_CONFIG is the intent action and com.bluefletch.ems.support is the package name.

```json
adb shell am broadcast -a com.bluefletch.ems.support.ACTION_DOWNLOAD_CONFIG -p com.bluefletch.ems.support --es url https://somewhere.com/config.json --es org_id organizationId
```

### **Configuring with AirWatch Command**

Use the example below to configure with AirWatch Command.

```json
mode=explicit,action=com.bluefletch.ems.support.ACTION_DOWNLOAD_CONFIG,package=com.bluefletch.ems.support,extraString=url=https://somewhere.com/config.json,extraString=org_id=organizationId,broadcast=false
```

### **Configuring with SOTI Command**

Use the example below to configure with SOTI Command.

```json
sendintent -a "intent:#Intent;action=com.bluefletch.ems.support.ACTION_DOWNLOAD_CONFIG;component=com.bluefletch.ems.support;S.url=https://somewhere.com/config.json;S.org_id=organizationId;end;"
```

{% hint style="info" %}
External Configuration Support was introduced in Support Application 5.13.8. Feature updated in Support Application 5.14.4.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/support-application/features/external-configuration-support.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
